ru.inpas.connector.lib

## Enum SAParam.ID

- java.lang.Object
- - java.lang.Enum<SAParam.ID>
  - - ru.inpas.connector.lib.SAParam.ID

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SAParam.ID>

Enclosing class:
  SAParam

    public static enum SAParam.ID
    extends java.lang.Enum<SAParam.ID>

Идентификаторы полей протокола SA

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`SAF_02_NOT_USED` (2) Не используется
`SAF_03_NOT_USED` (3) Не используется
`SAF_20_NOT_USED` (20) Не используется
`SAF_22_NOT_USED` (22) Не используется
`SAF_35_NOT_USED` (35) Не используется
`SAF_38_NOT_USED` (38) Не используется
`SAF_45_NOT_USED` (45) Не используется
`SAF_58_NOT_USED` (58) Не используется
`SAF_83_NOT_USED` (83) Не используется
`SAF_92_NOT_USED` (92) не используется
`SAF_93_NOT_USED` (93) не используется
`SAF_ACCOUNT_TYPE` (79) Тип счета клиента
`SAF_ADD_RESPONSE_DATA` (19) Дополнительные данные ответа
`SAF_ADDITIONAL_TRX_DATA` (86) Дополнительные данные транзакции
`SAF_APPLICATION_SETTING` (102) Параметры приложения
`SAF_AUTH_CODE` (13) Код авторизации
`SAF_BANK_HOST_TERMINAL_ID` (104) SA-PSP Идентификатор терминала на банковском хосте
`SAF_BANK_NAME` (105) SA-PSP Название банка
`SAF_BATCH` (33) Уникальный номер пакета транзакций в сверке итогов
`SAF_CARD_ENTRY_MODE` (8) Способ ввода карты
`SAF_CARD_TIMEOUT` (57) Таймаут ожидания карты
`SAF_CMD_MODE1` (64) Режим выполнения команды 1
`SAF_CMD_MODE2` (65) Режим выполнения команды 2
`SAF_CMD_MODE3` (66) Режим выполнения команды 3
`SAF_COMMODITY_CODE` (80) Код платежа
`SAF_CRYPT_ALG` (48) Алгоритм шифрации
`SAF_CRYPT_DATA` (59) Зашифрованные данные
`SAF_CURRENT_TIME` (94) Текущее время в формате YYYYMMDDhhmmssmmm
`SAF_CVV2_DATA` (47) CVV2
`SAF_DATA_LENGTH` (68) Длина данных
`SAF_DATA_MD5` (69) MD5 данных
`SAF_DATA_TYPE` (73) Тип загружаемых данных (0 - файлы параметров, 1 -ключевые данные)
`SAF_DC_RESPONCE_STATUS` (106) Статус получения DualConnnector-ом сообщения "Ответ" от терминала
`SAF_DEVICE_PHIS_NUMBER` (84) Физический (реальный) номер ВУ
`SAF_DEVICE_SER_NUMBER` (63) Серийный номер ВУ
`SAF_DEVICE_TYPE` (62) Тип ВУ
`SAF_EMPTY_ITEM_1` (98) Заглушка
`SAF_EMPTY_ITEM_2` (99) Заглушка
`SAF_EMPTY_ITEM_3` (100) Заглушка
`SAF_EMPTY_ITEM_4` (101) Заглушка
`SAF_EMV_DATA` (55) Данные EMV
`SAF_EMV_FLAG` (78) Флаг обработки EMV транзакции
`SAF_EXP_DATE` (11) Срок действия карты YYMM
`SAF_EXP_DATE_MERCH` (43) Срок действия карты администратора
`SAF_FILE_DATA` (70) Данные файла
`SAF_FILE_DATE_TIME` (74) Дата и время модификации файла
`SAF_FILE_ID` (61) Идентификатор файла
`SAF_FILE_NAME` (60) Имя файла
`SAF_FORCED_REQUEST` (76) Запрос к кассиру
`SAF_FORCED_RESPONSE` (77) Ответ кассира
`SAF_HOST_ID` (37) Идентификатор хоста
`SAF_HOST_TERMINAL_ID` (24) Уникальный номер терминала на хосте
`SAF_KKM_COMPLETION_STATUS` (107) Статус завершения операции на кассе
`SAF_LOG_FILE_CMD` (85) Директива работы с LOG файлом и номер записи LOG файла, используется в SC PULSAR EMV
`SAF_MAC` (36) MAC
`SAF_MERCHANT_ID` (28) Идентификатор продавца
`SAF_MESSAGE` (71) Сообщение для вывода на экран ВУ
`SAF_MKEY_ID` (75) Номер мастер-ключа
`SAF_MODELNO` (89) Наименование модели ВУ
`SAF_NEW_PIN_DATA` (95) Данные нового (измененного) PIN
`SAF_OPER_ID` (25) Код операции
`SAF_ORG_OPER_ID` (34) Код оригинальной операции
`SAF_PAN` 10 Номер карты
`SAF_PAN_MERCH` (42) Номер карты администратора
`SAF_PAYMENT_DETAILS` (81) Детали платежа
`SAF_PIN_DATA` (16) Данные ПИН-блока
`SAF_PIN_DATA_MERCH` (41) Данные ПИН-блока карты администратора
`SAF_PIN_ENTRY_MODE` (9) Способ ввода ПИНа
`SAF_PROCESSING_FLAG` (53) Флаг обработки операции
`SAF_PROCESSING_STEP` 96 Текущий шаг многопроходной схемы выполнения транзакции
`SAF_PROVIDER_CODE` (82) Код провайдера
`SAF_PULSAR_TAGS` (91) Тэги PULSAR
`SAF_RANDOM` (72) Случайное число и его подпись
`SAF_RECEIPT_DATA` (90) Данные для печати на чеке
`SAF_RECEIPT_NUMBER` (108) Номер чека
`SAF_RECIPIENT_ADDRESS` (56) Адрес получателя
`SAF_REPORT_FILE` (88) Наименование файла отчета
`SAF_RESPONSE_CODE` 15 Код ответа
`SAF_RESULT` (67) Статус (результат) выполнения
`SAF_RESULT_FILE` (87) Наименование результирующего файла
`SAF_RRN` (14) Номер ссылки
`SAF_SETT_CRED_VOID_AMN` (51) Сумма кредитовых отмен
`SAF_SETT_CRED_VOID_CNT` (52) Количество кредитовых отмен
`SAF_SETT_DEB_VOID_AMN` (49) Сумма дебетовых отмен
`SAF_SETT_DEB_VOID_CNT` (50) Количество дебетовых отмен
`SAF_SETTL_CRED_AMN` (31) Сумма кредитовых итогов
`SAF_SETTL_CRED_CNT` (32) Количество кредитовых итогов
`SAF_SETTL_CURRENCY_CODE` (5) Код валюты итогов
`SAF_SETTL_DATE_TIME` (7) Дата и время итогов
`SAF_SETTL_DEB_AMN` (29) Сумма дебетовых итогов
`SAF_SETTL_DEB_CNT` (30) Количество дебетовых итогов
`SAF_STAN` (26) Уникальный номер транзакции на стороне внешнего устройства
`SAF_STAN_HOST` (54) Уникальный номер транзакции на хосте авторизации
`SAF_TERMINAL_ID` (27) Идентификатор терминала
`SAF_TERMINAL_OS_VERSION` (103) SA-PSP Версия ОС терминала
`SAF_TRACK1_DATA` (44) Данные Track1
`SAF_TRACK2_DATA` (12) Данные дорожки 2
`SAF_TRACK2_DATA_MERCH` (40) Track2 карты администратора
`SAF_TRACK2_MODE` (46) Способ ввода данных Track2
`SAF_TRACK3_DATA` (97) Данные дорожки Track3
`SAF_TRX_ADD_AMOUNT` (1) Дополнительная сумма транзакции
`SAF_TRX_AMOUNT` (0) Сумма транзакции
`SAF_TRX_CURRENCY_CODE` (4) Код валюты транзакции
`SAF_TRX_DATE_TIME_HOST` (6) Оригинальная дата и время совершения операции YYYYMMDDHHMMSS на хосте
`SAF_TRX_ID` (23) ID транзакции
`SAF_TRX_ORG_DATE_TIME` (21) Дата и время проведения операции на терминале YYYYMMDDhhmmss
`SAF_TRX_STATUS` (39) Статус проведения транзакции
`SAF_WORK_KEY_MAC` (18) Рабочий ключ для МАКа
`SAF_WORK_KEY_PIN` (17) Рабочий ключ для ПИНа

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()` Получить целочисленное значение
`static SAParam.ID` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SAParam.ID[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SAF_TRX_AMOUNT

    public static final SAParam.ID SAF_TRX_AMOUNT

(0) Сумма транзакции

#### SAF_TRX_ADD_AMOUNT

    public static final SAParam.ID SAF_TRX_ADD_AMOUNT

(1) Дополнительная сумма транзакции

#### SAF_02_NOT_USED

    public static final SAParam.ID SAF_02_NOT_USED

(2) Не используется

#### SAF_03_NOT_USED

    public static final SAParam.ID SAF_03_NOT_USED

(3) Не используется

#### SAF_TRX_CURRENCY_CODE

    public static final SAParam.ID SAF_TRX_CURRENCY_CODE

(4) Код валюты транзакции

#### SAF_SETTL_CURRENCY_CODE

    public static final SAParam.ID SAF_SETTL_CURRENCY_CODE

(5) Код валюты итогов

#### SAF_TRX_DATE_TIME_HOST

    public static final SAParam.ID SAF_TRX_DATE_TIME_HOST

(6) Оригинальная дата и время совершения операции YYYYMMDDHHMMSS на хосте

#### SAF_SETTL_DATE_TIME

    public static final SAParam.ID SAF_SETTL_DATE_TIME

(7) Дата и время итогов

#### SAF_CARD_ENTRY_MODE

    public static final SAParam.ID SAF_CARD_ENTRY_MODE

(8) Способ ввода карты

#### SAF_PIN_ENTRY_MODE

    public static final SAParam.ID SAF_PIN_ENTRY_MODE

(9) Способ ввода ПИНа

#### SAF_PAN

    public static final SAParam.ID SAF_PAN

10 Номер карты

#### SAF_EXP_DATE

    public static final SAParam.ID SAF_EXP_DATE

(11) Срок действия карты YYMM

#### SAF_TRACK2_DATA

    public static final SAParam.ID SAF_TRACK2_DATA

(12) Данные дорожки 2

#### SAF_AUTH_CODE

    public static final SAParam.ID SAF_AUTH_CODE

(13) Код авторизации

#### SAF_RRN

    public static final SAParam.ID SAF_RRN

(14) Номер ссылки

#### SAF_RESPONSE_CODE

    public static final SAParam.ID SAF_RESPONSE_CODE

15 Код ответа

#### SAF_PIN_DATA

    public static final SAParam.ID SAF_PIN_DATA

(16) Данные ПИН-блока

#### SAF_WORK_KEY_PIN

    public static final SAParam.ID SAF_WORK_KEY_PIN

(17) Рабочий ключ для ПИНа

#### SAF_WORK_KEY_MAC

    public static final SAParam.ID SAF_WORK_KEY_MAC

(18) Рабочий ключ для МАКа

#### SAF_ADD_RESPONSE_DATA

    public static final SAParam.ID SAF_ADD_RESPONSE_DATA

(19) Дополнительные данные ответа

#### SAF_20_NOT_USED

    public static final SAParam.ID SAF_20_NOT_USED

(20) Не используется

#### SAF_TRX_ORG_DATE_TIME

    public static final SAParam.ID SAF_TRX_ORG_DATE_TIME

(21) Дата и время проведения операции на терминале YYYYMMDDhhmmss

#### SAF_22_NOT_USED

    public static final SAParam.ID SAF_22_NOT_USED

(22) Не используется

#### SAF_TRX_ID

    public static final SAParam.ID SAF_TRX_ID

(23) ID транзакции

#### SAF_HOST_TERMINAL_ID

    public static final SAParam.ID SAF_HOST_TERMINAL_ID

(24) Уникальный номер терминала на хосте

#### SAF_OPER_ID

    public static final SAParam.ID SAF_OPER_ID

(25) Код операции

#### SAF_STAN

    public static final SAParam.ID SAF_STAN

(26) Уникальный номер транзакции на стороне внешнего устройства

#### SAF_TERMINAL_ID

    public static final SAParam.ID SAF_TERMINAL_ID

(27) Идентификатор терминала

#### SAF_MERCHANT_ID

    public static final SAParam.ID SAF_MERCHANT_ID

(28) Идентификатор продавца

#### SAF_SETTL_DEB_AMN

    public static final SAParam.ID SAF_SETTL_DEB_AMN

(29) Сумма дебетовых итогов

#### SAF_SETTL_DEB_CNT

    public static final SAParam.ID SAF_SETTL_DEB_CNT

(30) Количество дебетовых итогов

#### SAF_SETTL_CRED_AMN

    public static final SAParam.ID SAF_SETTL_CRED_AMN

(31) Сумма кредитовых итогов

#### SAF_SETTL_CRED_CNT

    public static final SAParam.ID SAF_SETTL_CRED_CNT

(32) Количество кредитовых итогов

#### SAF_BATCH

    public static final SAParam.ID SAF_BATCH

(33) Уникальный номер пакета транзакций в сверке итогов

#### SAF_ORG_OPER_ID

    public static final SAParam.ID SAF_ORG_OPER_ID

(34) Код оригинальной операции

#### SAF_35_NOT_USED

    public static final SAParam.ID SAF_35_NOT_USED

(35) Не используется

#### SAF_MAC

    public static final SAParam.ID SAF_MAC

(36) MAC

#### SAF_HOST_ID

    public static final SAParam.ID SAF_HOST_ID

(37) Идентификатор хоста

#### SAF_38_NOT_USED

    public static final SAParam.ID SAF_38_NOT_USED

(38) Не используется

#### SAF_TRX_STATUS

    public static final SAParam.ID SAF_TRX_STATUS

(39) Статус проведения транзакции

#### SAF_TRACK2_DATA_MERCH

    public static final SAParam.ID SAF_TRACK2_DATA_MERCH

(40) Track2 карты администратора

#### SAF_PIN_DATA_MERCH

    public static final SAParam.ID SAF_PIN_DATA_MERCH

(41) Данные ПИН-блока карты администратора

#### SAF_PAN_MERCH

    public static final SAParam.ID SAF_PAN_MERCH

(42) Номер карты администратора

#### SAF_EXP_DATE_MERCH

    public static final SAParam.ID SAF_EXP_DATE_MERCH

(43) Срок действия карты администратора

#### SAF_TRACK1_DATA

    public static final SAParam.ID SAF_TRACK1_DATA

(44) Данные Track1

#### SAF_45_NOT_USED

    public static final SAParam.ID SAF_45_NOT_USED

(45) Не используется

#### SAF_TRACK2_MODE

    public static final SAParam.ID SAF_TRACK2_MODE

(46) Способ ввода данных Track2

#### SAF_CVV2_DATA

    public static final SAParam.ID SAF_CVV2_DATA

(47) CVV2

#### SAF_CRYPT_ALG

    public static final SAParam.ID SAF_CRYPT_ALG

(48) Алгоритм шифрации

#### SAF_SETT_DEB_VOID_AMN

    public static final SAParam.ID SAF_SETT_DEB_VOID_AMN

(49) Сумма дебетовых отмен

#### SAF_SETT_DEB_VOID_CNT

    public static final SAParam.ID SAF_SETT_DEB_VOID_CNT

(50) Количество дебетовых отмен

#### SAF_SETT_CRED_VOID_AMN

    public static final SAParam.ID SAF_SETT_CRED_VOID_AMN

(51) Сумма кредитовых отмен

#### SAF_SETT_CRED_VOID_CNT

    public static final SAParam.ID SAF_SETT_CRED_VOID_CNT

(52) Количество кредитовых отмен

#### SAF_PROCESSING_FLAG

    public static final SAParam.ID SAF_PROCESSING_FLAG

(53) Флаг обработки операции

#### SAF_STAN_HOST

    public static final SAParam.ID SAF_STAN_HOST

(54) Уникальный номер транзакции на хосте авторизации

#### SAF_EMV_DATA

    public static final SAParam.ID SAF_EMV_DATA

(55) Данные EMV

#### SAF_RECIPIENT_ADDRESS

    public static final SAParam.ID SAF_RECIPIENT_ADDRESS

(56) Адрес получателя

#### SAF_CARD_TIMEOUT

    public static final SAParam.ID SAF_CARD_TIMEOUT

(57) Таймаут ожидания карты

#### SAF_58_NOT_USED

    public static final SAParam.ID SAF_58_NOT_USED

(58) Не используется

#### SAF_CRYPT_DATA

    public static final SAParam.ID SAF_CRYPT_DATA

(59) Зашифрованные данные

#### SAF_FILE_NAME

    public static final SAParam.ID SAF_FILE_NAME

(60) Имя файла

#### SAF_FILE_ID

    public static final SAParam.ID SAF_FILE_ID

(61) Идентификатор файла

#### SAF_DEVICE_TYPE

    public static final SAParam.ID SAF_DEVICE_TYPE

(62) Тип ВУ

#### SAF_DEVICE_SER_NUMBER

    public static final SAParam.ID SAF_DEVICE_SER_NUMBER

(63) Серийный номер ВУ

#### SAF_CMD_MODE1

    public static final SAParam.ID SAF_CMD_MODE1

(64) Режим выполнения команды 1

#### SAF_CMD_MODE2

    public static final SAParam.ID SAF_CMD_MODE2

(65) Режим выполнения команды 2

#### SAF_CMD_MODE3

    public static final SAParam.ID SAF_CMD_MODE3

(66) Режим выполнения команды 3

#### SAF_RESULT

    public static final SAParam.ID SAF_RESULT

(67) Статус (результат) выполнения

#### SAF_DATA_LENGTH

    public static final SAParam.ID SAF_DATA_LENGTH

(68) Длина данных

#### SAF_DATA_MD5

    public static final SAParam.ID SAF_DATA_MD5

(69) MD5 данных

#### SAF_FILE_DATA

    public static final SAParam.ID SAF_FILE_DATA

(70) Данные файла

#### SAF_MESSAGE

    public static final SAParam.ID SAF_MESSAGE

(71) Сообщение для вывода на экран ВУ

#### SAF_RANDOM

    public static final SAParam.ID SAF_RANDOM

(72) Случайное число и его подпись

#### SAF_DATA_TYPE

    public static final SAParam.ID SAF_DATA_TYPE

(73) Тип загружаемых данных (0 - файлы параметров, 1 -ключевые данные)

#### SAF_FILE_DATE_TIME

    public static final SAParam.ID SAF_FILE_DATE_TIME

(74) Дата и время модификации файла

#### SAF_MKEY_ID

    public static final SAParam.ID SAF_MKEY_ID

(75) Номер мастер-ключа

#### SAF_FORCED_REQUEST

    public static final SAParam.ID SAF_FORCED_REQUEST

(76) Запрос к кассиру

#### SAF_FORCED_RESPONSE

    public static final SAParam.ID SAF_FORCED_RESPONSE

(77) Ответ кассира

#### SAF_EMV_FLAG

    public static final SAParam.ID SAF_EMV_FLAG

(78) Флаг обработки EMV транзакции

#### SAF_ACCOUNT_TYPE

    public static final SAParam.ID SAF_ACCOUNT_TYPE

(79) Тип счета клиента

#### SAF_COMMODITY_CODE

    public static final SAParam.ID SAF_COMMODITY_CODE

(80) Код платежа

#### SAF_PAYMENT_DETAILS

    public static final SAParam.ID SAF_PAYMENT_DETAILS

(81) Детали платежа

#### SAF_PROVIDER_CODE

    public static final SAParam.ID SAF_PROVIDER_CODE

(82) Код провайдера

#### SAF_83_NOT_USED

    public static final SAParam.ID SAF_83_NOT_USED

(83) Не используется

#### SAF_DEVICE_PHIS_NUMBER

    public static final SAParam.ID SAF_DEVICE_PHIS_NUMBER

(84) Физический (реальный) номер ВУ

#### SAF_LOG_FILE_CMD

    public static final SAParam.ID SAF_LOG_FILE_CMD

(85) Директива работы с LOG файлом и номер записи LOG файла, используется в SC PULSAR EMV

#### SAF_ADDITIONAL_TRX_DATA

    public static final SAParam.ID SAF_ADDITIONAL_TRX_DATA

(86) Дополнительные данные транзакции

#### SAF_RESULT_FILE

    public static final SAParam.ID SAF_RESULT_FILE

(87) Наименование результирующего файла

#### SAF_REPORT_FILE

    public static final SAParam.ID SAF_REPORT_FILE

(88) Наименование файла отчета

#### SAF_MODELNO

    public static final SAParam.ID SAF_MODELNO

(89) Наименование модели ВУ

#### SAF_RECEIPT_DATA

    public static final SAParam.ID SAF_RECEIPT_DATA

(90) Данные для печати на чеке

#### SAF_PULSAR_TAGS

    public static final SAParam.ID SAF_PULSAR_TAGS

(91) Тэги PULSAR

#### SAF_92_NOT_USED

    public static final SAParam.ID SAF_92_NOT_USED

(92) не используется

#### SAF_93_NOT_USED

    public static final SAParam.ID SAF_93_NOT_USED

(93) не используется

#### SAF_CURRENT_TIME

    public static final SAParam.ID SAF_CURRENT_TIME

(94) Текущее время в формате YYYYMMDDhhmmssmmm

#### SAF_NEW_PIN_DATA

    public static final SAParam.ID SAF_NEW_PIN_DATA

(95) Данные нового (измененного) PIN

#### SAF_PROCESSING_STEP

    public static final SAParam.ID SAF_PROCESSING_STEP

96 Текущий шаг многопроходной схемы выполнения транзакции

#### SAF_TRACK3_DATA

    public static final SAParam.ID SAF_TRACK3_DATA

(97) Данные дорожки Track3

#### SAF_EMPTY_ITEM_1

    public static final SAParam.ID SAF_EMPTY_ITEM_1

(98) Заглушка

#### SAF_EMPTY_ITEM_2

    public static final SAParam.ID SAF_EMPTY_ITEM_2

(99) Заглушка

#### SAF_EMPTY_ITEM_3

    public static final SAParam.ID SAF_EMPTY_ITEM_3

(100) Заглушка

#### SAF_EMPTY_ITEM_4

    public static final SAParam.ID SAF_EMPTY_ITEM_4

(101) Заглушка

#### SAF_APPLICATION_SETTING

    public static final SAParam.ID SAF_APPLICATION_SETTING

(102) Параметры приложения

#### SAF_TERMINAL_OS_VERSION

    public static final SAParam.ID SAF_TERMINAL_OS_VERSION

(103) SA-PSP Версия ОС терминала

#### SAF_BANK_HOST_TERMINAL_ID

    public static final SAParam.ID SAF_BANK_HOST_TERMINAL_ID

(104) SA-PSP Идентификатор терминала на банковском хосте

#### SAF_BANK_NAME

    public static final SAParam.ID SAF_BANK_NAME

(105) SA-PSP Название банка

#### SAF_DC_RESPONCE_STATUS

    public static final SAParam.ID SAF_DC_RESPONCE_STATUS

(106) Статус получения DualConnnector-ом сообщения "Ответ" от терминала

#### SAF_KKM_COMPLETION_STATUS

    public static final SAParam.ID SAF_KKM_COMPLETION_STATUS

(107) Статус завершения операции на кассе

#### SAF_RECEIPT_NUMBER

    public static final SAParam.ID SAF_RECEIPT_NUMBER

(108) Номер чека

### Method Detail

#### values

    public static SAParam.ID[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SAParam.ID c : SAParam.ID.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SAParam.ID valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Получить целочисленное значение

Returns:
  целочисленное значение от идентификатора